<h3 class="service-settings-heading"><?php esc_html_e('Add-ons', 'event_espresso') ?></h3>

<div class="ee-card-grid ee-card-grid-3-cols">
    <div class="ee-card ee-add-on-card">
        <h4><?php esc_html_e('Events Calendar', 'event_espresso'); ?></h4>
        <p>
            <a class='ee-add-on-card-img'
               href="https://eventespresso.com/product/ee4-events-calendar/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=events_calendar_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <img alt="calendar"
                     src="<?php echo esc_url_raw(
                         EE_GLOBAL_ASSETS_URL . 'images/banners/calendar4-231x151.jpg'
                     ); ?>"
                >
            </a>
            <?php esc_html_e(
                'Display a calendar with all available dates so attendees can browse to events that fit their schedule and start their event registrations.',
                'event_espresso'
            ); ?>
        </p>
        <div class="action-links">
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn--buy-now"
               href="https://eventespresso.com/product/ee4-events-calendar/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=events_calendar_add_on&ap_id=EEspresso"
               target="_blank"
            ><?php esc_html_e('Buy Now', 'event_espresso'); ?>
            </a>
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn"
               href="https://eventespresso.com/wiki/events-calendar-add-on/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=events_calendar_add_on&ap_id=EEspresso"
               target="_blank"
            ><?php esc_html_e('View Documentation', 'event_espresso'); ?>
            </a>
        </div>
    </div>

    <div class="ee-card ee-add-on-card">
        <h4><?php esc_html_e('Events Table View Template', 'event_espresso'); ?></h4>
        <p>
            <a class='ee-add-on-card-img'
               href="https://eventespresso.com/product/eea-events-table-view-template/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=ee4_events_table_view_template&ap_id=EEspresso"
               target="_blank"
            >
                <img alt="events table"
                     src="<?php echo esc_url_raw(
                         EE_GLOBAL_ASSETS_URL . 'images/banners/ee4-events-table3-231x151.jpg'
                     ); ?>"
                >
            </a>
            <?php esc_html_e(
                'Display a list of events in a table view so attendees can click the register links to begin their event registrations.',
                'event_espresso'
            ); ?>
        </p>
        <div class="action-links">
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn--buy-now"
               href="https://eventespresso.com/product/eea-events-table-view-template/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=ee4_events_table_view_template&ap_id=EEspresso"
               target="_blank"
            ><?php esc_html_e('Buy Now', 'event_espresso'); ?>
            </a>
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn"
               href="https://eventespresso.com/wiki/events-table-view-template-add-on/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=ee4_events_table_view_template&ap_id=EEspresso"
               target="_blank"
            ><?php esc_html_e('View Documentation', 'event_espresso'); ?>
            </a>
        </div>
    </div>

    <div class="ee-card ee-add-on-card">
        <h4><?php esc_html_e('Events Grid View Template', 'event_espresso'); ?></h4>
        <p>
            <a class='ee-add-on-card-img'
               href="https://eventespresso.com/product/eea-events-grid-view-template/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=ee4_events_grid_view_template&ap_id=EEspresso"
               target="_blank"
            >
                <img alt="grid view template"
                     src="<?php echo esc_url_raw(
                         EE_GLOBAL_ASSETS_URL . 'images/banners/grid-view-template-231x151.jpg'
                     ); ?>"
                >
            </a>
            <?php esc_html_e(
                'Display events in a grid format with images so your attendees can click to begin their event registrations.',
                'event_espresso'
            ); ?>
        </p>
        <div class="action-links">
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn--buy-now"
               href="https://eventespresso.com/product/eea-events-grid-view-template/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=ee4_events_grid_view_template&ap_id=EEspresso"
               target="_blank"
            ><?php esc_html_e('Buy Now', 'event_espresso'); ?>
            </a>
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn"
               href="https://eventespresso.com/wiki/events-grid-view-template-add-on/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=ee4_events_grid_view_template&ap_id=EEspresso"
               target="_blank"
            ><?php esc_html_e('View Documentation', 'event_espresso'); ?>
            </a>
        </div>
    </div>

    <div class="ee-card ee-add-on-card">
        <h4><?php esc_html_e('Promotions & Discounts', 'event_espresso'); ?></h4>
        <p>
            <a class='ee-add-on-card-img'
               href="https://eventespresso.com/product/eea-promotions/?ee_ver=ee4&utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=promtions_addon_link&ap_id=EEspresso"
               target="_blank"
            >
                <img class="alignright "
                     alt="<?php esc_html_e('Promotions Add-on', 'event_espresso'); ?>"
                     src="<?php echo esc_url_raw(
                         EE_GLOBAL_ASSETS_URL . 'images/banners/promotions-discounts-addon.jpg'
                     ); ?>"
                     width="230"
                     height="151"
                />
            </a>
            <?php esc_html_e(
                'Create discounts and promo codes for attendees to use to apply a flat or percentage discount to their event registrations.',
                'event_espresso'
            ); ?>
        </p>
        <div class="action-links">
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn--buy-now"
               href="https://eventespresso.com/product/eea-promotions/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=promotions_addon_link&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('Buy Now', 'event_espresso'); ?>
            </a>
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn"
               href="https://eventespresso.com/wiki/ee4-promotions-add-on/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=promotions_addon_link&ap_id=EEspresso"
               target="_blank"
            ><?php esc_html_e('View Documentation', 'event_espresso'); ?>
            </a>
        </div>
    </div>

    <div class="ee-card ee-add-on-card">
        <h4><?php esc_html_e('Multiple Event Registration', 'event_espresso'); ?></h4>
        <p>
            <a class='ee-add-on-card-img'
               href="https://eventespresso.com/product/eea-multi-event-registration/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=multiple_event_registration_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <img alt="<?php esc_html_e('Multiple Event Registration', 'event_espresso'); ?>"
                     src="<?php echo esc_url_raw(
                         EE_GLOBAL_ASSETS_URL . 'images/banners/mutliple_231x151.jpg'
                     ); ?>"
                />
            </a>
            <?php esc_html_e(
                'Add an event shopping cart to allow for multiple events to be purchased at one time.',
                'event_espresso'
            ); ?>
        </p>
        <div class="action-links">
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn--buy-now"
               href="https://eventespresso.com/product/eea-multi-event-registration/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=multiple_event_registration_add_on&ap_id=EEspresso"
               target="_blank"
            ><?php esc_html_e('Buy Now', 'event_espresso'); ?>
            </a>
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn"
               href="https://eventespresso.com/wiki/ee4-multiple-event-registration-add-on/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=multiple_event_registration_add_on&ap_id=EEspresso"
               target="_blank"
            ><?php esc_html_e('View Documentation', 'event_espresso'); ?>
            </a>
        </div>
    </div>

    <div class="ee-card ee-add-on-card">
        <h4><?php esc_html_e('Printable Tickets', 'event_espresso'); ?></h4>
        <p>
            <a class='ee-add-on-card-img'
               href="https://eventespresso.com/product/eea-ticketing/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=ee4_printable_tickets&ap_id=EEspresso"
               target="_blank"
            >
                <img alt="<?php esc_html_e('ticketing', 'event_espresso'); ?>"
                     src="<?php echo esc_url_raw(
                         EE_GLOBAL_ASSETS_URL . 'images/banners/ee4-ticketing-231x151.jpg'
                     ); ?>"
                />
            </a>
            <?php esc_html_e(
                'Automatically email custom event tickets with QR codes to attendees. Scan printed tickets with a phone or tablet for fast event check-in.',
                'event_espresso'
            ); ?>
        </p>
        <div class="action-links">
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn--buy-now"
               href="https://eventespresso.com/product/eea-ticketing/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=ee4_printable_tickets&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('Buy Now', 'event_espresso'); ?>
            </a>
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn"
               href="https://eventespresso.com/wiki/ee4-printable-tickets-add-on/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=ee4_printable_tickets&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('View Documentation', 'event_espresso'); ?>
            </a>
        </div>
    </div>

    <div class="ee-card ee-add-on-card">
        <h4><?php esc_html_e('Waitlist Manager', 'event_espresso'); ?></h4>
        <p>
            <a class='ee-add-on-card-img'
               href="https://eventespresso.com/product/eea-wait-lists/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=waitlist_manager_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <img alt="<?php esc_html_e('Waitlist Manager', 'event_espresso'); ?>"
                     src="<?php echo esc_url_raw(
                         EE_GLOBAL_ASSETS_URL . 'images/banners/ee4-wait-list-manager-231x152.jpg'
                     ); ?>"
                >
            </a>
            <?php esc_html_e(
                'Display a waitlist option after tickets sell out, or an event becomes full. Automatically promote attendees as spots open up so they can complete their event registrations.',
                'event_espresso'
            ); ?>
        </p>
        <div class="action-links">
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn--buy-now"
               href="https://eventespresso.com/product/eea-wait-lists/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=waitlist_manager_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('Buy Now', 'event_espresso'); ?>
            </a>
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn"
               href="https://eventespresso.com/wiki/wait-list-manager/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=waitlist_manager_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('View Documentation', 'event_espresso'); ?>
            </a>
        </div>
    </div>

    <div class="ee-card ee-add-on-card">
        <h4><?php esc_html_e('Attendee Mover', 'event_espresso'); ?></h4>
        <p>
            <a class='ee-add-on-card-img'
               href="https://eventespresso.com/product/eea-attendee-mover/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=attendee_mover_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <img alt="<?php esc_html_e('Attendee Mover', 'event_espresso'); ?>"
                     src="<?php echo esc_url_raw(
                         EE_GLOBAL_ASSETS_URL . 'images/banners/ee4-attendee-mover-231x152.jpg'
                     ); ?>"
                >
            </a>
            <?php esc_html_e(
                'Move an attendee registration to a different event or change their registration option for an event in a few clicks from your WordPress dashboard.',
                'event_espresso'
            ); ?>
        </p>
        <div class="action-links">
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn--buy-now"
               href="https://eventespresso.com/product/eea-attendee-mover/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=attendee_mover_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('Buy Now', 'event_espresso'); ?>
            </a>
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn"
               href="https://eventespresso.com/wiki/ee4-attendee-mover/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=attendee_mover_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('View Documentation', 'event_espresso'); ?>
            </a>
        </div>
    </div>

    <div class="ee-card ee-add-on-card">
        <h4><?php esc_html_e('Event Espresso Importer', 'event_espresso'); ?></h4>
        <p>
            <a class='ee-add-on-card-img'
               href="https://eventespresso.com/product/eea-importer/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=event_espresso_importer_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <img alt="<?php esc_html_e('Event Espresso Importer', 'event_espresso'); ?>"
                     src="<?php echo esc_url_raw(
                         EE_GLOBAL_ASSETS_URL . 'images/banners/event-espresso-importer-231x152.jpg'
                     ); ?>"
                >
            </a>
            <?php esc_html_e(
                'Import a list of attendees into Event Espresso through a CSV file upload.',
                'event_espresso'
            ); ?>
        </p>
        <div class="action-links">
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn--buy-now"
               href="https://eventespresso.com/product/eea-importer/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=event_espresso_importer_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('Buy Now', 'event_espresso'); ?>
            </a>
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn"
               href="https://eventespresso.com/wiki/event-espresso-importer-add-on/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=event_espresso_importer_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('View Documentation', 'event_espresso'); ?>
            </a>
        </div>
    </div>

    <div class="ee-card ee-add-on-card">
        <h4><?php esc_html_e('Automated Upcoming Events Notifications', 'event_espresso'); ?></h4>
        <p>
            <a class='ee-add-on-card-img'
               href="https://eventespresso.com/product/eea-automated-upcoming-event-notifications/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=automated_upcoming_event_notifications_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <img alt="<?php esc_html_e('Automated Upcoming Events Notifications', 'event_espresso'); ?>"
                     src="<?php echo esc_url_raw(
                         EE_GLOBAL_ASSETS_URL
                         . 'images/banners/automated-upcoming-event-notifications-231x152.jpg'
                     ); ?>"
                >
            </a>
            <?php esc_html_e(
                'Automatically send out event reminder emails a day before your upcoming events.',
                'event_espresso'
            ); ?>
        </p>
        <div class="action-links">
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn--buy-now"
               href="https://eventespresso.com/product/eea-automated-upcoming-event-notifications/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=automated_upcoming_event_notifications_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('Buy Now', 'event_espresso'); ?>
            </a>
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn"
               href="https://eventespresso.com/wiki/eea-automated-upcoming-event-notifications/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=automated_upcoming_event_notifications_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('View Documentation', 'event_espresso'); ?>
            </a>
        </div>
    </div>

    <div class="ee-card ee-add-on-card">
        <h4><?php esc_html_e('WP User Integration', 'event_espresso'); ?></h4>
        <p>
            <a class='ee-add-on-card-img'
               href="https://eventespresso.com/product/eea-wp-user-integration/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=ee4_wp_user_integration&ap_id=EEspresso"
               target="_blank"
            >
                <img alt="<?php esc_html_e('WP User Integration', 'event_espresso'); ?>"
                     src="<?php echo esc_url_raw(
                         EE_GLOBAL_ASSETS_URL . 'images/banners/ee4-wp-user-integration-230x151.jpg'
                     ); ?>"
                >
            </a>
            <?php esc_html_e(
                'Offer member pricing and automatically create accounts for your attendees so they can see upcoming and past events plus pre-fill details for future event registrations.',
                'event_espresso'
            ); ?>
        </p>
        <div class="action-links">
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn--buy-now"
               href="https://eventespresso.com/product/eea-wp-user-integration/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=ee4_wp_user_integration&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('Buy Now', 'event_espresso'); ?>
            </a>
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn"
               href="https://eventespresso.com/wiki/ee4-wp-user-integration/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=ee4_wp_user_integration&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('View Documentation', 'event_espresso'); ?>
            </a>
        </div>
    </div>

    <div class="ee-card ee-add-on-card">
        <h4><?php esc_html_e('MailChimp Integration', 'event_espresso'); ?></h4>
        <p>
            <a class='ee-add-on-card-img'
               href="https://eventespresso.com/product/eea-mailchimp/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=mailchimp_integration&ap_id=EEspresso"
               target="_blank"
            >
                <img alt="<?php esc_html_e('MailChimp Integration', 'event_espresso'); ?>"
                     src="<?php echo esc_url_raw(
                         EE_GLOBAL_ASSETS_URL . 'images/banners/mailchimp-231x151.jpg'
                     ); ?>"
                >
            </a>
            <?php esc_html_e(
                'Automatically transfer attendee information to MailChimp after a registration. Keep attendees in the loop about upcoming events by sending email campaigns through',
                'event_espresso'
            ); ?>
            <a href="http://eepurl.com/OXgr" target="_blank" rel="noopener noreferrer">MailChimp</a>
            .
        </p>
        <div class="action-links">
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn--buy-now"
               href="https://eventespresso.com/product/eea-mailchimp/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=mailchimp_integration&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('Buy Now', 'event_espresso'); ?>
            </a>
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn"
               href="https://eventespresso.com/wiki/mailchimp-integration/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=mailchimp_integration&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('View Documentation', 'event_espresso'); ?>
            </a>
        </div>
    </div>

    <div class="ee-card ee-add-on-card">
        <h4><?php esc_html_e('PayPal Smart Buttons (with Venmo)', 'event_espresso'); ?></h4>
        <p>
            <a class='ee-add-on-card-img'
               href="https://eventespresso.com/product/eea-paypal-smart-buttons/?utm_source=ee4_plugin_admin
               &utm_medium=link&utm_campaign=other_services_tab&utm_content=paypal_smart_buttons_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <img alt="<?php esc_html_e(
                    'Event Registration with PayPal Smart Buttons (with Venmo)',
                    'event_espresso'
                ); ?>"
                     src="<?php echo esc_url_raw(
                         EE_GLOBAL_ASSETS_URL
                         . 'images/banners/event-registrations-with-paypal-express-checkout-smart-payment-buttons-231x152.jpg'
                     ); ?>"
                >
            </a>
            <?php esc_html_e(
                'Receive online payments through credit cards, debit cards, PayPal funds, PayPal Credit, and Venmo.',
                'event_espresso'
            ); ?>
        </p>
        <div class="action-links">
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn--buy-now"
               href="https://eventespresso.com/product/eea-paypal-smart-buttons/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=paypal_smart_buttons_add_on&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('Buy Now', 'event_espresso'); ?>
            </a>
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn"
               href="https://eventespresso.com/wiki/paypal-express-checkout-smart-payment-buttons-payment-gateway/"
               target="_blank"
            >
                <?php esc_html_e('View Documentation', 'event_espresso'); ?>
            </a>
        </div>
    </div>

    <div class="ee-card ee-add-on-card">
        <h4>Stripe</h4>
        <p>
            <a class='ee-add-on-card-img'
               href="https://eventespresso.com/product/eea-stripe-gateway/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=stripe_payment_gateway&ap_id=EEspresso"
               target="_blank"
            >
                <img alt="<?php esc_html_e('Stripe logo', 'event_espresso'); ?>"
                     src="<?php echo esc_url_raw(
                         EE_GLOBAL_ASSETS_URL . 'images/banners/ee4-stripe-logo-231x152.jpg'
                     ); ?>"
                />
            </a>
            <?php printf(
                esc_html__(
                    'Securely accept online payments through debit and credit cards with %1$s.',
                    'event_espresso'
                ),
                '<a href="https://eventespresso.com/go/stripe/">Stripe</a>'
            ); ?>
        </p>
        <div class="action-links">
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn--buy-now"
               href="https://eventespresso.com/product/eea-stripe-gateway/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=stripe_payment_gateway&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('Buy Now', 'event_espresso'); ?>
            </a>
            <a class="ee-add-on-btn ee-add-on-btn--small ee-add-on-btn"
               href="https://eventespresso.com/wiki/stripe-payment-gateway/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=stripe_payment_gateway&ap_id=EEspresso"
               target="_blank"
            >
                <?php esc_html_e('View Documentation', 'event_espresso'); ?>
            </a>
        </div>
    </div>
</div>

<h3 class="service-settings-heading"><?php esc_html_e('Support Items', 'event_espresso'); ?></h3>
<div class='ee-card ee-add-on-card  ee-add-on-card-big'>
    <h3><?php esc_html_e('Priority Support Token', 'event_espresso'); ?></h3>
    <p class="ee-attention">
        <?php esc_html_e(
            'Have an emergency or need help with a time-sensitive issue? Purchase a support token and we\'ll help  you get back on track .',
            'event_espresso'
        ); ?>
    </p>

    <p>
        <a class='ee-add-on-card-img'
           href='https://eventespresso.com/product/premium-support-token/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=support_token&ap_id=EEspresso'
           target='_blank'
        >
            <img alt="<?php esc_html_e('Priority Support', 'event_espresso'); ?>"
                 src="<?php echo esc_url_raw(
                     EE_GLOBAL_ASSETS_URL . 'images/banners/priority-support-231x151.jpg'
                 ); ?>"
            >
        </a>
        <?php esc_html_e(
            'Here are some examples of how members have used support tokens this year:',
            'event_espresso'
        ); ?>
    </p>
    <ul>
        <li>
            <?php esc_html_e(
                'Installed and configured Event Espresso',
                'event_espresso'
            ); ?>
        </li>
        <li>
            <?php esc_html_e(
                'Troubleshooted a conflict with a theme or plugin',
                'event_espresso'
            ); ?>
        </li>
        <li>
            <?php esc_html_e(
                'Applied a gettext filter to change the messaging in various areas of Event Espresso',
                'event_espresso'
            ); ?>
        </li>
        <li>
            <?php esc_html_e(
                'Changed the styling on single event pages using CSS',
                'event_espresso'
            ); ?>
        </li>
        <li>
            <?php esc_html_e(
                'Configured add-ons for Event Espresso',
                'event_espresso'
            ); ?>
        </li>
    </ul>
    <p>
        <?php esc_html_e(
            'Do you have a request that is similar to those described above?',
            'event_espresso'
        ); ?>
    </p>

    <p>
        <?php esc_html_e(
            'Purchase a support token and we\'ll respond during business hours to get your problem solved quickly .',
            'event_espresso'
        ); ?>
    </p>

    <p>
        <?php esc_html_e(
            'A support token will provide you with 30 minutes of one-on-one time with a team member. Need additional time? Just purchase additional support tokens as needed.',
            'event_espresso'
        ); ?>
    </p>
    <div class="action-links">
        <a class="ee-add-on-btn ee-add-on-btn--buy-now"
           href="https://eventespresso.com/product/premium-support-token/?utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=other_services_tab&utm_content=support_token&ap_id=EEspresso"
           target="_blank"
        >
            <?php esc_html_e('Buy Now', 'event_espresso'); ?>
        </a>
    </div>
</div>
