<div class="padding">
    <?php esc_html_e(
        'If you want to integrate with Event Espresso or participate in building code, then you are in the right place. The following resources can help you get started.',
        'event_espresso'
    ); ?>
    <h2><?php esc_html_e('Developer Resources', 'event_espresso'); ?></h2>
    <ul>
        <li>
            <?php printf(
                esc_html__('%1$sEvent Espresso 4 Developer Documentation%2$s', 'event_espresso'),
                '<a href="https://github.com/eventespresso/event-espresso-core/tree/master/docs#getting-started-with-the-ee-developer-docs" target="_blank" rel="noopener noreferrer">',
                '</a>'
            ); ?></li>
        <li>
            <?php printf(
                esc_html__('%1$sEvent Espresso 4 Developer News%2$s', 'event_espresso'),
                '<a href="http://developer.eventespresso.com/?ee_ver=ee4&utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=ee_support_page&utm_content=developers_tab" target="_blank">',
                '</a>'
            ); ?></li>
        <li>
            <?php printf(
                esc_html__('%1$sApply%2$s to be listed as an %3$sEvent Espresso Professional%2$s', 'event_espresso'),
                '<a href="https://eventespresso.com/developers/event-espresso-pros-application/?ee_ver=ee4&utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=ee_support_page&utm_content=developers_tab" target="_blank">',
                '</a>',
                '<a href="https://eventespresso.com/developers/event-espresso-pros/?ee_ver=ee4&utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=ee_support_page&utm_content=developers_tab" target="_blank">'
            ); ?></li>
    </ul>

    <h2><?php esc_html_e('Event Espresso 4 Articles for Developers', 'event_espresso'); ?></h2>
    <ul>
        <li>
            <?php printf(
                esc_html__('%1$sCustom Post Types Usage%2$s', 'event_espresso'),
                '<a href="https://eventespresso.com/2014/02/epsresso-brewery-custom-post-types-event-espresso/?ee_ver=ee4&utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=ee_support_page&utm_content=developers_tab" target="_blank">',
                '</a>'
            ); ?></li>
        <li>
            <?php printf(
                esc_html__('%1$sTheme Development%2$s', 'event_espresso'),
                '<a href="https://eventespresso.com/2014/02/developers-corner-theming-event-espresso-4/?ee_ver=ee4&utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=ee_support_page&utm_content=developers_tab" target="_blank">',
                '</a>'
            ); ?></li>
        <li>
            <?php printf(
                esc_html__('%1$sCapability System%2$s', 'event_espresso'),
                '<a href="http://developer.eventespresso.com/docs/ee-capability-system-overview/?ee_ver=ee4&utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=ee_support_page&utm_content=developers_tab" target="_blank">',
                '</a>'
            ); ?></li>
        <li>
            <?php printf(
                esc_html__('%1$sPayment Method Development%2$s', 'event_espresso'),
                '<a href="https://github.com/eventespresso/event-espresso-core/blob/master/docs/L--Payment-Methods-and-Gateways/creating-a-payment-method.md" target="_blank" rel="noopener noreferrer">',
                '</a>'
            ); ?></li>
        <li>
            <?php printf(
                esc_html__('%1$sMessages System in Event Espresso 4%2$s', 'event_espresso'),
                '<a href="https://eventespresso.com/2014/03/messages-systemyour-tool-getting-word/?ee_ver=ee4&utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=ee_support_page&utm_content=developers_tab" target="_blank">',
                '</a>'
            ); ?></li>
        <li>
            <?php printf(
                esc_html__(
                    '%1$sDatabase Model System%2$s (used for interfacing with EE4 data via WordPress plugins and server side querying)',
                    'event_espresso'
                ),
                '<a href="http://developer.eventespresso.com/docs/using-ee4-model-objects/?ee_ver=ee4&utm_source=ee4_plugin_admin&utm_medium=link&utm_campaign=ee_support_page&utm_content=developers_tab" target="_blank">',
                '</a>'
            ); ?></li>
    </ul>

    <h2><?php esc_html_e('REST API Resources', 'event_espresso'); ?></h2>
    <ul>
        <li>
            <?php printf(
                esc_html__('%1$sREST API: Introduction%2$s', 'event_espresso'),
                '<a href="https://github.com/eventespresso/event-espresso-core/blob/master/docs/C--REST-API/ee4-rest-api-introduction.md" target="_blank" rel="noopener noreferrer">',
                '</a>'
            ); ?></li>
        <li>
            <?php printf(
                esc_html__('%1$sREST API: Reading Data%2$s', 'event_espresso'),
                '<a href="https://github.com/eventespresso/event-espresso-core/blob/master/docs/C--REST-API/ee4-rest-api-reading-data.md" target="_blank" rel="noopener noreferrer">',
                '</a>'
            ); ?></li>
        <li>
            <?php printf(
                esc_html__('%1$sBuilding an EE4 Add-on Using the REST API%2$s', 'event_espresso'),
                '<a href="https://github.com/eventespresso/event-espresso-core/blob/master/docs/T--Tutorials/building-an-ee4-addon-that-uses-angular-js-and-the-ee4-json-rest-api.md" target="_blank" rel="noopener noreferrer">',
                '</a>'
            ); ?></li>
    </ul>
</div>