![alt text](./img/logo.png "WPGraphQL Logo")

# WPGraphQL

WPGraphQL is a free, open-source WordPress plugin that provides an extendable GraphQL schema and API for any WordPress site.

Below are some links to help you get started with WPGraphQL

- <a href="https://www.wpgraphql.com" target="_blank">WPGraphQL.com</a>
- <a href="https://wpgraphql.com/docs/quick-start" target="_blank">Quick Start Guide</a>
- <a href="https://wpgraphql.com/docs/intro-to-graphql" target="_blank">Intro to GraphQL</a>
- <a href="https://wpgraphql.com/docs/intro-to-wordpress" target="_blank">Intro to WordPress</a>
- <a href="https://join.slack.com/t/wp-graphql/shared_invite/zt-3vloo60z-PpJV2PFIwEathWDOxCTTLA" target="_blank">Join the WPGraphQL community on Slack</a>

-----

[![Total Downloads](https://poser.pugx.org/wp-graphql/wp-graphql/downloads)](https://packagist.org/packages/wp-graphql/wp-graphql)
[![Monthly Downloads](https://poser.pugx.org/wp-graphql/wp-graphql/d/monthly)](https://packagist.org/packages/wp-graphql/wp-graphql)
[![Daily Downloads](https://poser.pugx.org/wp-graphql/wp-graphql/d/daily)](https://packagist.org/packages/wp-graphql/wp-graphql)
[![Latest Stable Version](https://poser.pugx.org/wp-graphql/wp-graphql/v/stable)](https://packagist.org/packages/wp-graphql/wp-graphql)
[![License](https://poser.pugx.org/wp-graphql/wp-graphql/license)](https://packagist.org/packages/wp-graphql/wp-graphql)
[![Actions Status](https://github.com/wp-graphql/wp-graphql/workflows/Testing%20Integration/badge.svg)](https://github.com/wp-graphql/wp-graphql/actions?query=workflow%3A%22Testing+Integration%22) [![Actions Status](https://github.com/wp-graphql/wp-graphql/workflows/WordPress%20Coding%20Standards/badge.svg)](https://github.com/wp-graphql/wp-graphql/actions?query=workflow%3A%22WordPress+Coding+Standards%22)
[![Coverage Status](https://coveralls.io/repos/github/wp-graphql/wp-graphql/badge.svg)](https://coveralls.io/github/wp-graphql/wp-graphql)
-----

## Install

- Requires PHP 7.1+
- Requires WordPress 5.0+

### Quick Install

Follow the WPGraphQL Quick Start instructions to install and activate WPGraphQL
[Details here](https://wpgraphql.com/docs/quick-start/)

## Additional Documentation

- [Project Overview](https://www.wpgraphql.com/docs/introduction)
- [Plugin Usage & Extension Documentation](https://www.wpgraphql.com/docs/interacting-with-wpgraphql)
- [Development Testing & code Coverage](https://www.wpgraphql.com/docs/testing/#testing-locally-with-codeception)
- [Using Docker](https://www.wpgraphql.com/docs/testing/#testing-with-docker)

## Shout Outs

- Special thanks to [Gatsby](http://gatsbyjs.com) and [WPEngine](https://wpengine.com) for allocating development resources to push the project forward!
- This plugin brings the power of GraphQL (<http://graphql.org/>) to WordPress.
- The plugin is built on top of the graphql-php library by Webonyx (<https://github.com/webonyx/graphql-php>) and makes use
of the graphql-relay-php library by Ivome (<https://github.com/ivome/graphql-relay-php/>)
- Some of the concepts and code are based on the WordPress Rest API. Much love to the folks (<https://github.com/orgs/WP-API/people>)
that put their blood, sweat and tears into the WP-API project, as it's been huge in moving WordPress forward as a
platform and helped inspire and direct the development of WPGraphQL.
- Much love to Facebook® for open sourcing the GraphQL spec (<https://facebook.github.io/graphql/>), the amazing GraphiQL
dev tools (<https://github.com/graphql/graphiql>), and maintaining the JavaScript GraphQL reference
implementation (<https://github.com/graphql/graphql-js>)
- Much love to Apollo (Meteor Development Group) for their work on driving GraphQL forward and providing a lot of insight
into how to design GraphQL schemas, etc. Check them out: <http://www.apollodata.com/>

## Contributors

This project exists thanks to all the people who contribute. [[Contribute](.github/CONTRIBUTING.md)].
<a href="https://github.com/wp-graphql/wp-graphql/graphs/contributors"><img src="https://opencollective.com/wp-graphql/contributors.svg?width=890&button=false" /></a>

## Backers

[![Backers on Open Collective](https://opencollective.com/wp-graphql/backers/badge.svg)](#backers)

Thank you to all our backers! 🙏 [[Become a backer](https://opencollective.com/wp-graphql#backer)]

<a href="https://opencollective.com/wp-graphql#backers" target="_blank"><img src="https://opencollective.com/wp-graphql/backers.svg?width=890"></a>

## Sponsors

[![Sponsors on Open Collective](https://opencollective.com/wp-graphql/sponsors/badge.svg)](#sponsors)

Support this project by becoming a sponsor. Your logo will show up here with a link to your website. [[Become a sponsor](https://opencollective.com/wp-graphql#sponsor)]

<a href="https://opencollective.com/wp-graphql/sponsor/0/website" target="_blank"><img src="https://opencollective.com/wp-graphql/sponsor/0/avatar.svg"></a>
<a href="https://opencollective.com/wp-graphql/sponsor/1/website" target="_blank"><img src="https://opencollective.com/wp-graphql/sponsor/1/avatar.svg"></a>
<a href="https://opencollective.com/wp-graphql/sponsor/2/website" target="_blank"><img src="https://opencollective.com/wp-graphql/sponsor/2/avatar.svg"></a>
<a href="https://opencollective.com/wp-graphql/sponsor/3/website" target="_blank"><img src="https://opencollective.com/wp-graphql/sponsor/3/avatar.svg"></a>
<a href="https://opencollective.com/wp-graphql/sponsor/4/website" target="_blank"><img src="https://opencollective.com/wp-graphql/sponsor/4/avatar.svg"></a>
<a href="https://opencollective.com/wp-graphql/sponsor/5/website" target="_blank"><img src="https://opencollective.com/wp-graphql/sponsor/5/avatar.svg"></a>
<a href="https://opencollective.com/wp-graphql/sponsor/6/website" target="_blank"><img src="https://opencollective.com/wp-graphql/sponsor/6/avatar.svg"></a>
<a href="https://opencollective.com/wp-graphql/sponsor/7/website" target="_blank"><img src="https://opencollective.com/wp-graphql/sponsor/7/avatar.svg"></a>
<a href="https://opencollective.com/wp-graphql/sponsor/8/website" target="_blank"><img src="https://opencollective.com/wp-graphql/sponsor/8/avatar.svg"></a>
<a href="https://opencollective.com/wp-graphql/sponsor/9/website" target="_blank"><img src="https://opencollective.com/wp-graphql/sponsor/9/avatar.svg"></a>

## Privacy Policy

WPGraphQL uses [Appsero](https://appsero.com) SDK to collect some telemetry data upon user's confirmation. This helps us to troubleshoot problems faster & make product improvements.

Appsero SDK **does not gather any data by default.** The SDK only starts gathering basic telemetry data **when a user allows it via the admin notice**. We collect the data to ensure a great user experience for all our users.

Integrating Appsero SDK **DOES NOT IMMEDIATELY** start gathering data, **without confirmation from users in any case.**

Learn more about how [Appsero collects and uses this data](https://appsero.com/privacy-policy/).
